ArcoLinux -D -B 19.5 iso's have been released

[SOLVED] libvpx & ffmpeg update problem

User avatar
thierry
Crewman
Posts: 7
Joined: Sat May 26, 2018 4:52 am
France
[SOLVED] libvpx & ffmpeg update problem

Post by thierry » Fri Mar 08, 2019 8:34 pm

Hello, thank you for reading me,

At the last update I have the following message and the update fails :
(in french) : << erreur : la préparation de la transaction a échoué (la satisfaction des dépendances a échoué)
:: l’installation de libvpx (1.8.0-1) casse la dépendance « libvpx.so=5-64 » requise par ffmpeg0.10 >>
(translated in english) : <<error : preparing the transaction failed (satisfying the dependencies failed)
:: the installation of libvpx (1.8.0-1) breaks the dependency « libvpx.so=5-64 » required by ffmpeg0.10 >>

...and neither libvpx nor ffmpeg want to be updated.

Can someone help me solve this issue ?

Thank you.
Thierry

User avatar
erikdubois
Captain
Posts: 1850
Joined: Tue Nov 07, 2017 3:45 pm
Location: Belgium
Contact:
Belgium
Re: [OPEN] libvpx & ffmpeg update problem

Post by erikdubois » Fri Mar 08, 2019 8:36 pm

What are you trying to install?
Learn, have fun and enjoy.
But first use the power of the Arch Wiki
use the tutorials on https://www.youtube.com/erikdubois
then use the power of google
and only then use the power of our moderators.

User avatar
thierry
Crewman
Posts: 7
Joined: Sat May 26, 2018 4:52 am
France
Re: [OPEN] libvpx & ffmpeg update problem

Post by thierry » Sat Mar 09, 2019 7:12 am

I am not trying to install anything, this issue came out when making the regular updating ("Mises à Jour").
Both libvpx & ffmpeg are part of the softwares that were planned for being updated yesterday.
But for these two packages the update is denied.

I don't know what to do.

Thank you for your help.
Thierry

User avatar
erikdubois
Captain
Posts: 1850
Joined: Tue Nov 07, 2017 3:45 pm
Location: Belgium
Contact:
Belgium
Re: [OPEN] libvpx & ffmpeg update problem

Post by erikdubois » Sat Mar 09, 2019 7:28 am

The rest of us do not see this error.

So you have installed something we did not.

You need to figure out what application requires that package.

libvpx =1.8.0-1

ffmpeg = 1:4.1.1-2

those are my versions from this iso

https://master.seedhost.eu/arcolinux/aag/

arcolinux-v19.03.3.iso

may it help you analyze the situation
Learn, have fun and enjoy.
But first use the power of the Arch Wiki
use the tutorials on https://www.youtube.com/erikdubois
then use the power of google
and only then use the power of our moderators.

User avatar
erikdubois
Captain
Posts: 1850
Joined: Tue Nov 07, 2017 3:45 pm
Location: Belgium
Contact:
Belgium
Re: [OPEN] libvpx & ffmpeg update problem

Post by erikdubois » Sat Mar 09, 2019 7:30 am

I wondered if there is something like force install ( if you have nothing to loose)

never recommended

and there is

https://wiki.archlinux.org/index.php/pacman

search for force on the page

do so at your own risk
Learn, have fun and enjoy.
But first use the power of the Arch Wiki
use the tutorials on https://www.youtube.com/erikdubois
then use the power of google
and only then use the power of our moderators.

User avatar
thierry
Crewman
Posts: 7
Joined: Sat May 26, 2018 4:52 am
France
Re: [OPEN] libvpx & ffmpeg update problem

Post by thierry » Sat Mar 09, 2019 7:49 am

Here is a terminal output : (in french)

Code: Select all

[thierry@Lenovo-G50-45 ~]$ yaourt -R libvpx
vérification des dépendances…
erreur : la préparation de la transaction a échoué (la satisfaction des dépendances a échoué)
:: ffmpeg : supprimer libvpx casse la dépendance « libvpx.so=5-64 »
:: ffmpeg0.10 : supprimer libvpx casse la dépendance « libvpx.so=5-64 »
:: gst-plugins-good : supprimer libvpx casse la dépendance « libvpx »
:: qt5-webengine : supprimer libvpx casse la dépendance « libvpx »
:: toxcore : supprimer libvpx casse la dépendance « libvpx »
:: virtualbox : supprimer libvpx casse la dépendance « libvpx »
So it seems that the packages ffmpeg, ffmpeg0.10, gst-plugins-good, qt5-webengine, toxcore and virtualbox all require the package libvpx.

But I still do not know what to do now.

Please help, thank you.
Thierry

User avatar
erikdubois
Captain
Posts: 1850
Joined: Tue Nov 07, 2017 3:45 pm
Location: Belgium
Contact:
Belgium
Re: [OPEN] libvpx & ffmpeg update problem

Post by erikdubois » Sat Mar 09, 2019 7:58 am

why yaourt ?

sudo pacman -S ...

and what is the result then
Learn, have fun and enjoy.
But first use the power of the Arch Wiki
use the tutorials on https://www.youtube.com/erikdubois
then use the power of google
and only then use the power of our moderators.

User avatar
erikdubois
Captain
Posts: 1850
Joined: Tue Nov 07, 2017 3:45 pm
Location: Belgium
Contact:
Belgium
Re: [OPEN] libvpx & ffmpeg update problem

Post by erikdubois » Sat Mar 09, 2019 8:00 am

I found an interesting post on Yaourt -- it reads somewhere -- yay is the successor.

https://github.com/archlinuxfr/yaourt/issues/382
Learn, have fun and enjoy.
But first use the power of the Arch Wiki
use the tutorials on https://www.youtube.com/erikdubois
then use the power of google
and only then use the power of our moderators.

User avatar
thierry
Crewman
Posts: 7
Joined: Sat May 26, 2018 4:52 am
France
Re: [OPEN] libvpx & ffmpeg update problem

Post by thierry » Sat Mar 09, 2019 8:03 am

I found out what to do eventually :

I removed ffmpeg0.10 (yaourt -R ffmpeg0.10) and next the update succeeded flawlessly.


[SOLVED]

Thank you.
Thierry

User avatar
erikdubois
Captain
Posts: 1850
Joined: Tue Nov 07, 2017 3:45 pm
Location: Belgium
Contact:
Belgium
Re: [SOLVED] libvpx & ffmpeg update problem

Post by erikdubois » Sat Mar 09, 2019 8:22 am

Sometimes just brainstorming with someone makes the idea's come.

Great that you solved it on your own.
Learn, have fun and enjoy.
But first use the power of the Arch Wiki
use the tutorials on https://www.youtube.com/erikdubois
then use the power of google
and only then use the power of our moderators.


Post Reply

Return to “Installation of Software (pacman, AUR, ...)”